Edit Image
Status: Published
Status basis: requires an enabled image editing/generation model
Image editing endpoint. Requests must use multipart/form-data. The image parameter must be uploaded as the source image file; optional parameters include mask, n, size, quality, response_format, background, output_format, output_compression, moderation, watermark, and user.
Authorization
BearerAuth
Model relay interface recognition. Request heading: Autoration: Bearer .
In: header
Request Body
multipart/form-data
Image editing model name.
"gpt-image-2"Edits a hint.
Yes. Original graphic file to edit. Current upstream requests for uploading files do not support the direct uploading of pictures URL with JSON.
binaryOptional. Covers a photo file with a transparent area indicating the area to be edited.
binaryGenerates the number of pictures.
int321 <= valueOutput picture size. Please use a clear < width > x > height, e.g. 1920 x 1920; total pixels may not be less than 3686,400, the actual usable value depends on the model and upstream channel.
"1920x1920"Picture quality. Actual available values depend on models and upstream pathways.
"auto""auto" | "standard" | "hd" | "low" | "medium" | "high"returns the format. __FD_PROTECT_0 or _FD_PROTEC_1; default does not need to transmit this field and different upstream channel support may be different.
"url" | "b64_json"Background filler. Support depends on the model.
"auto""transparent" | "opaque" | "auto"Output picture format. Support depends on the model.
"png""png" | "jpeg" | "webp"Output compression level, only applicable to _FD_PROTEC_0 and FD_PROTEC_1.
90int320 <= value <= 100Security clearance intensity. Support depends on the model.
"auto""auto" | "low"Add watermarks. Support depends on the upstream route.
falseEnd-user identification, which can be used for abuse surveillance.
Response Body
application/json
curl -X POST "https://api.tokaify.com/v1/images/edits" \ -F model="gpt-image-2" \ -F prompt="Change the picture to a watercolored illustration style and keep the main picture." \ -F image="@/path/to/image.jpg" \ -F n="1" \ -F size="1920x1920" \ -F quality="auto" \ -F background="auto" \ -F output_format="png" \ -F output_compression="90" \ -F moderation="auto" \ -F watermark="false" \ -F user="user-123"{
"created": 1,
"data": {}
}How is this guide?
Last updated on